<?php

declare(strict_types=1);

namespace SB\Test\Controller;


/**
 * This file is part of the "Test" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2021 
 */

/**
 * TestController
 */
class TestController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * testRepository
     *
     * @var \SB\Test\Domain\Repository\TestRepository
     */
    protected $testRepository = null;

    /**
     * @param \SB\Test\Domain\Repository\TestRepository $testRepository
     */
    public function injectTestRepository(\SB\Test\Domain\Repository\TestRepository $testRepository)
    {
        $this->testRepository = $testRepository;
    }

    /**
     * action list
     *
     * @return string|object|null|void
     */
    public function listAction()
    {
        $tests = $this->testRepository->findAll();
        $this->view->assign('tests', $tests);
    }

    /**
     * action show
     *
     * @param \SB\Test\Domain\Model\Test $test
     * @return string|object|null|void
     */
    public function showAction(\SB\Test\Domain\Model\Test $test)
    {
        $this->view->assign('test', $test);
    }
}
