<?php
defined('TYPO3_MODE') || die();

(static function() {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'Test',
        'Test',
        [
            \SB\Test\Controller\TestController::class => 'list, show'
        ],
        // non-cacheable actions
        [
            \SB\Test\Controller\TestController::class => ''
        ]
    );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    test {
                        iconIdentifier = test-plugin-test
                        title = LLL:EXT:test/Resources/Private/Language/locallang_db.xlf:tx_test_test.name
                        description = LLL:EXT:test/Resources/Private/Language/locallang_db.xlf:tx_test_test.description
                        tt_content_defValues {
                            CType = list
                            list_type = test_test
                        }
                    }
                }
                show = *
            }
       }'
    );

    $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
    $iconRegistry->registerIcon(
        'test-plugin-test',
        \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
        ['source' => 'EXT:test/Resources/Public/Icons/user_plugin_test.svg']
    );
    
    $GLOBALS['TYPO3_CONF_VARS']['SYS']['routing']['aspects']['CategoriesValueMapper'] = 
    \SB\Test\Routing\Aspect\CategoriesValueMapper::class;

})();
